#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		_sbindir	/sbin
#-----------------------------------------------------------------------------
Name		:	kmod
Version		:	33
Release		:	17.0.10.rel%{?dist}
Summary		:	A GNU tool for automatically configuring source code
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://git.kernel.org/pub/scm/utils/kernel/kmod
			#https://www.kernel.org/pub/linux/utils/kernel/kmod


Source0		:	%{name}-%{version}.tar.xz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
requires	:	zlib-devel
requires	:	zstd-devel
requires	:	xz-devel
#-----------------------------------------------------------------------------
%description
The Module-init-tools package includes various programs needed for automatic
loading and unloading of modules under 2.6 and later kernels, as well
as other module management programs. Device drivers and filesystems
are two examples of loaded and unloaded modules.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)
%{_includedir}
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/modprobe.d/*.conf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/depmod.d/*.conf
%{_sbindir}/kmod
%{_sbindir}/lsmod
%{_sbindir}/depmod
%{_sbindir}/insmod
%{_sbindir}/modinfo
%{_sbindir}/modprobe
%{_sbindir}/rmmod
%{_libdir}/lib%{name}.so*
%{_libdir}/pkgconfig/lib%{name}.pc
%{_datadir}/pkgconfig/%{name}.pc
%{_datadir}/bash-completion/completions/%{name}
#{_mandir}/man5/*.5.gz
#{_mandir}/man8/*.8.gz

#=============================================================================
%prep
%setup -q
%define _exec_prefix %{nil}

#-----------------------------------------------------------------------------
#building application
%build
%{__tar} xf %{SOURCE1}

./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--bindir=%{_sbindir}				\
	--sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--with-rootlibdir=%{_libdir}			\
	--disable-manpages				\
	--with-openssl					\
	--with-xz					\
	--with-zstd					\
	--with-zlib					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install
for target in lsmod depmod insmod modinfo modprobe rmmod;
  do
  ln -sfv ./kmod %{buildroot}%{_sbindir}/$target
  done

%{__mkdir} %{buildroot}%{_sysconfdir}
%{__cp} -a						\
	 %{name}-ok_addon/*				\
	 %{buildroot}%{_sysconfdir}

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
